# Uses of Interface
org.apache.commons.math3.ml.neuralnet.sofm.LearningFactorFunction

Packages that use LearningFactorFunction
Package
Description
org.apache.commons.math3.ml.neuralnet.sofm
Self Organizing Feature Map.

## Uses of LearningFactorFunction in org.apache.commons.math3.ml.neuralnet.sofm

Methods in org.apache.commons.math3.ml.neuralnet.sofm that return LearningFactorFunction
Modifier and Type
Method
Description
`static LearningFactorFunction`
LearningFactorFunctionFactory.`exponentialDecay(double initValue, double valueAtNumCall, long numCall)`
Creates an exponential decay `function`.
`static LearningFactorFunction`
LearningFactorFunctionFactory.`quasiSigmoidDecay(double initValue, double slope, long numCall)`
Creates an sigmoid-like `LearningFactorFunction function`.
Constructors in org.apache.commons.math3.ml.neuralnet.sofm with parameters of type LearningFactorFunction
Modifier
Constructor
Description
``
`KohonenUpdateAction(DistanceMeasure distance, LearningFactorFunction learningFactor, NeighbourhoodSizeFunction neighbourhoodSize)`